using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SkupljacAure
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int k = int.Parse(s[1]);
            int x = int.Parse(s[2]);

            s = Console.ReadLine().Split(' ');
            int[] b = new int[n];

            for(int i = 0; i < n; i++)
            {
                b[i] = int.Parse(s[i]);
            }

            for(int i = 0; i < n - k + 1; i++)
            {
                int a = 0;
                int c = 1;



                for(int j = i; j < k + i; j++)
                {
                    a += c * b[j];
                    if (b[j] < 0 && c < x)
                    {
                        c++;
                    }

                }

                Console.Write(a + " ");
            }
        }
    }
}